gr-baz Package

RTL2832_NAMESPACE::log_sink Class Referenceabstract

`#include <rtl2832.h>`

Inheritance diagram for RTL2832_NAMESPACE::log_sink:
[legend]

## Public Types
enum | level { LOG_LEVEL_ERROR = -1 , LOG_LEVEL_DEFAULT = 0 , LOG_LEVEL_VERBOSE = 1 }

## Public Member Functions
virtual void | on_log_message_va (int level, const char *msg, va_list args)=0
virtual void | on_log_message (const char *msg,...)
virtual void | on_log_message_ex (int level, const char *msg,...)

## Member Enumeration Documentation

## ◆ level

enum RTL2832_NAMESPACE::log_sink::level

Enumerator
LOG_LEVEL_ERROR |
LOG_LEVEL_DEFAULT |
LOG_LEVEL_VERBOSE |

## Member Function Documentation

## ◆ on_log_message()

virtual void RTL2832_NAMESPACE::log_sink::on_log_message | ( | const char * | msg,
|  |  | ... )
| inline virtual

References LOG_LEVEL_DEFAULT, and on_log_message_va().

## ◆ on_log_message_ex()

virtual void RTL2832_NAMESPACE::log_sink::on_log_message_ex | ( | int | level,
|  | const char * | msg,
|  |  | ... )
| inline virtual

References on_log_message_va().

## ◆ on_log_message_va()

virtual void RTL2832_NAMESPACE::log_sink::on_log_message_va | ( | int | level,
|  | const char * | msg,
|  | va_list | args )
| pure virtual

Referenced by on_log_message(), and on_log_message_ex().

The documentation for this class was generated from the following file:

- rtl2832.h